Bug 19018 - provide clear user friendly links to WAI-ARIA documents in the ARIA section of the spec
provide clear user friendly links to WAI-ARIA documents in the ARIA section o...
Status: RESOLVED LATER
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC Windows NT
: P1 major
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
: a11y, aria
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 21:53 UTC by contributor
Modified: 2012-09-25 22:26 UTC (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 21:53:59 UTC
This was was cloned from bug 10464 as part of operation LATER convergence.
Originally filed: 2010-08-27 13:59:00 +0000
Original reporter: steve faulkner <faulkner.steve@gmail.com>

================================================================================
 #0   steve faulkner                                  2010-08-27 13:59:55 +0000 
--------------------------------------------------------------------------------
Consider providing in the ARIA section of the spec clear unambigous user firendly linked references to the various WAI-ARIA documents. To make it as easy as possible for authors to learn more about WAI-ARIA.
For example like those provided in this document:
http://www.paciellogroup.com/blog/misc/HTML5/aria-html5-proposal.html
================================================================================
 #1   steve faulkner                                  2010-08-27 14:02:20 +0000 
--------------------------------------------------------------------------------
 Consider adding an introduction to the WAI-ARIA section of the html5 spec talking about what WAI-ARIA is.
see for an example: http://www.paciellogroup.com/blog/misc/HTML5/aria-html5-proposal.html
================================================================================
 #2   Ian 'Hixie' Hickson                             2010-09-07 17:56:40 +0000 
--------------------------------------------------------------------------------
The plan is to do cross-references to the ARIA spec (indeed the markup is already ready for this); we're just waiting on the tools to be written to make this automatic.

EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: none yet
Rationale: Marking LATER until the tools are available.

If you meant something other than cross-referencing roles, properties, and states, then please file a separate bug that clearly states the request.
================================================================================
 #3   Martin Kliehm                                   2010-12-14 17:41:01 +0000 
--------------------------------------------------------------------------------
The bug-triage sub-team doesn't consider this to be task force priority as it is just a matter of implementation. Note that ARIA is XML based and has XML features that can be parsed with XPath automatically that go beyond just classes and IDs.
================================================================================